OAuth Authentication
Get token and openId by code
It is necessary to package the data in the parameter table into JSON strings and use rsa for parameter encryption and signature as data and sign in the body
POST
/
platformapi
/
chainup
/
open
/
auth
/
token
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/auth/token
{
"code": "",
"msg": "",
"data": {
"openId":"4dbca5afca8a46f48d863d18bsdd644731",
"expireIn":"",
"refreshToken":"4dbca5afca8a46f48d863d18bsdd644731",
"token":"2ae04ed9165624419bad68e9e0f3f29fbd".
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
code
string
requiredThe returned code when calling the first step of login for user authentication.
Example: 2ae04ed9165624419bad68e9e0f3f29fbd
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f29fbd2ae04ed9165624419bad68e9e0f3f29fbd
Response
200 - application/json
code
string
Return code
msg
string
Success or failure message
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/auth/token
{
"code": "",
"msg": "",
"data": {
"openId":"4dbca5afca8a46f48d863d18bsdd644731",
"expireIn":"",
"refreshToken":"4dbca5afca8a46f48d863d18bsdd644731",
"token":"2ae04ed9165624419bad68e9e0f3f29fbd".
}
}